## libxfce4windowing 4.20.0

=== meson_options.txt ===
option(
  'x11',
  type: 'feature',
  value: 'auto',
  description: 'Support for the X11 windowing system'
)

option(
  'wayland',
  type: 'feature',
  value: 'auto',
  description: 'Support for the Wayland windowing system',
)

option(
  'gtk-doc',
  type: 'boolean',
  value: false,
  description: 'Build gtk-doc HTML',
)

option(
  'introspection',
  type: 'boolean',
  value: true,
  description: 'Build gobject-introspection files',
)

option(
  'visibility',
  type: 'boolean',
  value: true,
  description: 'Build with GNU symbol visibility',
)

option(
  'tests',
  type: 'boolean',
  value: false,
  description: 'Build some small test programs',
)

## libxfce4windowing 4.19.2

=== debian/changelog ===
libxfce4windowing (4.19.2-1ubuntu1) devel; urgency=medium

  * d/control: Lower xfce4-dev-tools B-D to 4.18.1.

 -- Unit 193 <unit193@ubuntu.com>  Fri, 19 Jan 2024 04:52:08 -0500

libxfce4windowing (4.19.2-1) experimental; urgency=medium

  * Initial upload.

 -- Unit 193 <unit193@debian.org>  Tue, 04 Jul 2023 04:29:31 -0400

=== debian/control ===
Source: libxfce4windowing
Priority: optional
Section: xfce
Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
Uploaders: Yves-Alexis Perez <corsac@debian.org>, Unit 193 <unit193@debian.org>
Build-Depends: debhelper-compat (= 13),
               gettext,
               gobject-introspection,
               gtk-doc-tools,
               libgirepository1.0-dev,
               libglib2.0-dev,
               libgtk-3-dev,
               libwnck-3-dev,
               libwayland-dev,
               xfce4-dev-tools (>= 4.18.1~)
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://docs.xfce.org/xfce/libxfce4windowing/start
Vcs-Git: https://salsa.debian.org/xfce-team/desktop/libxfce4windowing.git
Vcs-Browser: https://salsa.debian.org/xfce-team/desktop/libxfce4windowing

Package: libxfce4windowing-0-0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}, libxfce4windowing-common
Description: Wayland utility functions library for Xfce4
 an abstraction library that attempts to present windowing concepts (screens,
 toplevel windows, workspaces, etc.) in a windowing-system-independent manner.

Package: libxfce4windowing-0-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         gir1.2-libxfce4windowing-0.0 (= ${binary:Version}),
         gir1.2-libxfce4windowingui-0.0 (= ${binary:Version}),
         libgtk-3-dev,
         libwayland-dev,
         libxfce4windowing-0-0 (= ${binary:Version}),
Description: Development files for libxfce4windowing
 This package contains the headers for libxfce4windowing. If you intend to code
 wayland applications for the Xfce4 desktop environment, you need to install
 this package.
 .
 The libxfce4windowing Reference Manual is also included and
 it can be consulted using Devhelp or a web browser.

Package: gir1.2-libxfce4windowing-0.0
Section: introspection
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${gir:Depends}, ${misc:Depends}
Description: Typelib file for libxfce4windowing
 This package contains the headers for libxfce4windowing. If you intend to code
 wayland applications for the Xfce4 desktop environment, you need to install
 this package.
 .
 This package provides the introspection data for libxfce4windowing.

Package: gir1.2-libxfce4windowingui-0.0
Section: introspection
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${gir:Depends}, ${misc:Depends}
Description: Typelib file for libxfce4windowingui
 This package contains the headers for libxfce4windowing. If you intend to code
 wayland applications for the Xfce4 desktop environment, you need to install
 this package.
 .
 This package provides the introspection data for libxfce4windowingui.

Package: libxfce4windowing-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: common files for libxfce4windowing
 This package contains various architecture-independent common files for
 libxfce4windowing, the Xfce windowing concepts abstraction library.

## libxfce4windowing 4.19.3

=== debian/changelog ===
libxfce4windowing (4.19.3-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:21:30 +0000

libxfce4windowing (4.19.3-1) experimental; urgency=medium

  * New upstream version 4.19.3.
  * d/control: Lower xfce4-dev-tools B-D to 4.18.1.
  * d/libxfce4windowing-0-0.symbols: Update symbols for new release.

 -- Unit 193 <unit193@debian.org>  Mon, 11 Mar 2024 16:37:54 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libxfce4windowing
 Priority: optional
 Section: xfce
-Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>, Unit 193 <unit193@debian.org>
 Build-Depends: debhelper-compat (= 13),
@@ -13,7 +13,7 @@
                libgtk-3-dev,
                libwnck-3-dev,
                libwayland-dev,
-               xfce4-dev-tools (>= 4.18.1~)
+               xfce4-dev-tools (>= 4.18.1)
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://docs.xfce.org/xfce/libxfce4windowing/start

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-O1 -Wl,-z,defs
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/default.mk

%:
	dh $@ --with gir

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk-doc --enable-introspection=yes

execute_after_dh_auto_install:
	find debian -name '*.la' -delete

override_dh_installchangelogs:
	DEB_BUILD_OPTIONS=notrimdch dh_installchangelogs

## libxfce4windowing 4.19.4

=== debian/changelog ===
libxfce4windowing (4.19.4-1) experimental; urgency=medium

  * New upstream version 4.19.4.
    - Update symbols.
  * d/control:
    - Add gir annotations.
    - B-D on libdisplay-info-dev, libxrandr-dev, wayland-protocols.
  * d/copyright: Bump years.
  * d/rules: Explicitly enable wayland and x11 backends.
  * Update Standards-Version to 4.7.0.

 -- Unit 193 <unit193@debian.org>  Tue, 27 Aug 2024 21:49:54 -0400

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,26 @@
 Source: libxfce4windowing
 Priority: optional
 Section: xfce
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>, Unit 193 <unit193@debian.org>
 Build-Depends: debhelper-compat (= 13),
                gettext,
+               gir1.2-gio-2.0-dev,
+               gir1.2-gobject-2.0-dev,
+               gir1.2-gtk-3.0-dev,
                gobject-introspection,
                gtk-doc-tools,
+               libdisplay-info-dev,
                libgirepository1.0-dev,
                libglib2.0-dev,
                libgtk-3-dev,
+               libwayland-dev,
                libwnck-3-dev,
-               libwayland-dev,
+               libxrandr-dev,
+               wayland-protocols,
                xfce4-dev-tools (>= 4.18.1)
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://docs.xfce.org/xfce/libxfce4windowing/start
 Vcs-Git: https://salsa.debian.org/xfce-team/desktop/libxfce4windowing.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/desktop/libxfce4windowing
@@ -35,11 +40,13 @@
 Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends},
+         ${gir:Depends},
          gir1.2-libxfce4windowing-0.0 (= ${binary:Version}),
          gir1.2-libxfce4windowingui-0.0 (= ${binary:Version}),
          libgtk-3-dev,
          libwayland-dev,
          libxfce4windowing-0-0 (= ${binary:Version}),
+Provides: ${gir:Provides}
 Description: Development files for libxfce4windowing
  This package contains the headers for libxfce4windowing. If you intend to code
  wayland applications for the Xfce4 desktop environment, you need to install

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	dh $@ --with gir
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-gtk-doc --enable-introspection=yes
+	dh_auto_configure -- --enable-gtk-doc --enable-introspection=yes --enable-wayland --enable-x11
 
 execute_after_dh_auto_install:
 	find debian -name '*.la' -delete

## libxfce4windowing 4.20.0

=== debian/changelog ===
libxfce4windowing (4.20.0-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Add alternative intropection build-deps.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 20 Dec 2024 23:30:50 -0800

libxfce4windowing (4.20.0-1) unstable; urgency=medium

  * New upstream version 4.20.0
  * Upload to unstable

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 18 Dec 2024 20:38:10 +0100

libxfce4windowing (4.19.10-1) experimental; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream version 4.19.9.
    - Update symbols.
  * d/control: Bump xfce4-dev-tools B-D to 4.19.4

  [ Unit 193 ]
  * New upstream version 4.19.10.
  * d/control:
    - Add associated breaks due to symbol changes.
    - Correct xfce4-dev-tools B-D to 4.19.3.

 -- Unit 193 <unit193@debian.org>  Mon, 02 Dec 2024 01:35:14 -0500

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: libxfce4windowing
 Priority: optional
 Section: xfce
-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>, Unit 193 <unit193@debian.org>
 Build-Depends: debhelper-compat (= 13),
                gettext,
-               gir1.2-gio-2.0-dev,
-               gir1.2-gobject-2.0-dev,
-               gir1.2-gtk-3.0-dev,
+               gir1.2-gio-2.0-dev | gir1.2-glib-2.0,,
+               gir1.2-gobject-2.0-dev | gir1.2-glib-2.0,
                gobject-introspection,
                gtk-doc-tools,
                libdisplay-info-dev,
@@ -18,7 +18,7 @@
                libwnck-3-dev,
                libxrandr-dev,
                wayland-protocols,
-               xfce4-dev-tools (>= 4.18.1)
+               xfce4-dev-tools (>= 4.19.3)
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://docs.xfce.org/xfce/libxfce4windowing/start
@@ -30,7 +30,10 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}, libxfce4windowing-common
+Depends: libxfce4windowing-common, ${misc:Depends}, ${shlibs:Depends}
+Breaks: budgie-core (<< 10.9.2-4~),
+        xfce4-panel (<< 4.19.5~),
+        xfdesktop4 (<< 4.19.5~)
 Description: Wayland utility functions library for Xfce4
  an abstraction library that attempts to present windowing concepts (screens,
  toplevel windows, workspaces, etc.) in a windowing-system-independent manner.
@@ -39,13 +42,13 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends},
-         ${gir:Depends},
-         gir1.2-libxfce4windowing-0.0 (= ${binary:Version}),
+Depends: gir1.2-libxfce4windowing-0.0 (= ${binary:Version}),
          gir1.2-libxfce4windowingui-0.0 (= ${binary:Version}),
          libgtk-3-dev,
          libwayland-dev,
          libxfce4windowing-0-0 (= ${binary:Version}),
+         ${gir:Depends},
+         ${misc:Depends}
 Provides: ${gir:Provides}
 Description: Development files for libxfce4windowing
  This package contains the headers for libxfce4windowing. If you intend to code

## libxfce4windowing 4.20.2

=== meson_options.txt ===
--- 
+++ 
@@ -32,10 +32,3 @@
   value: true,
   description: 'Build with GNU symbol visibility',
 )
-
-option(
-  'tests',
-  type: 'boolean',
-  value: false,
-  description: 'Build some small test programs',
-)

=== debian/changelog ===
libxfce4windowing (4.20.2-0.1~mx23+1) mx; urgency=medium

  * New upstream version 4.20.2

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 05 Feb 2025 10:21:08 -0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Yves-Alexis Perez <corsac@debian.org>, Unit 193 <unit193@debian.org>
 Build-Depends: debhelper-compat (= 13),
                gettext,
-               gir1.2-gio-2.0-dev | gir1.2-glib-2.0,,
+               gir1.2-gio-2.0-dev | gir1.2-glib-2.0,
                gir1.2-gobject-2.0-dev | gir1.2-glib-2.0,
                gobject-introspection,
                gtk-doc-tools,

=== debian/rules ===
--- 
+++ 
@@ -15,3 +15,8 @@
 
 override_dh_installchangelogs:
 	DEB_BUILD_OPTIONS=notrimdch dh_installchangelogs
+
+# No dbgsym packages:
+override_dh_strip:
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym

## libxfce4windowing 4.20.3

=== meson_options.txt ===
--- 
+++ 
@@ -32,3 +32,10 @@
   value: true,
   description: 'Build with GNU symbol visibility',
 )
+
+option(
+  'tests',
+  type: 'boolean',
+  value: true,
+  description: 'Whether or not to build test programs',
+)

=== debian/changelog ===
libxfce4windowing (4.20.3-1) unstable; urgency=medium

  * New upstream version 4.20.3

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 18 Jul 2025 18:17:12 +0200

libxfce4windowing (4.20.2-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Build on non-Linux archs by disabling Wayland:
    - d/control: restrict the libwayland-dev, and wayland-protocols B-Ds as
      linux-any
    - d/control: restrict the libwayland-dev dependency in
      libxfce4windowing-0-dev as linux-any
    - d/rules: pass --disable-wayland instead of --enable-wayland on
      non-Linux archs

  [ Unit 193 ]
  * New upstream version 4.20.2.

 -- Unit 193 <unit193@debian.org>  Tue, 04 Feb 2025 01:01:17 -0500

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,23 @@
 Source: libxfce4windowing
 Priority: optional
 Section: xfce
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>, Unit 193 <unit193@debian.org>
 Build-Depends: debhelper-compat (= 13),
                gettext,
-               gir1.2-gio-2.0-dev | gir1.2-glib-2.0,
-               gir1.2-gobject-2.0-dev | gir1.2-glib-2.0,
+               gir1.2-gio-2.0-dev,
+               gir1.2-gobject-2.0-dev,
+               gir1.2-gtk-3.0-dev,
                gobject-introspection,
                gtk-doc-tools,
                libdisplay-info-dev,
                libgirepository1.0-dev,
                libglib2.0-dev,
                libgtk-3-dev,
-               libwayland-dev,
+               libwayland-dev [linux-any],
                libwnck-3-dev,
                libxrandr-dev,
-               wayland-protocols,
+               wayland-protocols [linux-any],
                xfce4-dev-tools (>= 4.19.3)
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
@@ -30,10 +30,8 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libxfce4windowing-common, ${misc:Depends}, ${shlibs:Depends}
-Breaks: budgie-core (<< 10.9.2-4~),
-        xfce4-panel (<< 4.19.5~),
-        xfdesktop4 (<< 4.19.5~)
+Depends: ${misc:Depends}, ${shlibs:Depends}, libxfce4windowing-common
+Breaks: budgie-core (<< 10.9.2-4~), xfce4-panel (<< 4.19.5~), xfdesktop4 (<< 4.19.5~)
 Description: Wayland utility functions library for Xfce4
  an abstraction library that attempts to present windowing concepts (screens,
  toplevel windows, workspaces, etc.) in a windowing-system-independent manner.
@@ -42,13 +40,13 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: gir1.2-libxfce4windowing-0.0 (= ${binary:Version}),
+Depends: ${misc:Depends},
+         ${gir:Depends},
+         gir1.2-libxfce4windowing-0.0 (= ${binary:Version}),
          gir1.2-libxfce4windowingui-0.0 (= ${binary:Version}),
          libgtk-3-dev,
-         libwayland-dev,
+         libwayland-dev [linux-any],
          libxfce4windowing-0-0 (= ${binary:Version}),
-         ${gir:Depends},
-         ${misc:Depends}
 Provides: ${gir:Provides}
 Description: Development files for libxfce4windowing
  This package contains the headers for libxfce4windowing. If you intend to code

## libxfce4windowing 4.20.4

=== meson_options.txt ===
--- 
+++ 
@@ -27,6 +27,13 @@
 )
 
 option(
+  'vala',
+  type: 'feature',
+  value: 'auto',
+  description: 'Build Vala language bindings',
+)
+
+option(
   'visibility',
   type: 'boolean',
   value: true,

=== debian/changelog ===
libxfce4windowing (4.20.4-1) unstable; urgency=medium

  * New upstream version 4.20.4
  * d/control: drop obsolete libgirepository1.0-dev b-dep

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 16 Sep 2025 12:06:51 +0200

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,9 @@
                gir1.2-gio-2.0-dev,
                gir1.2-gobject-2.0-dev,
                gir1.2-gtk-3.0-dev,
-               gobject-introspection,
+               gobject-introspection (>= 1.80),
                gtk-doc-tools,
                libdisplay-info-dev,
-               libgirepository1.0-dev,
                libglib2.0-dev,
                libgtk-3-dev,
                libwayland-dev [linux-any],

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-O1 -Wl,-z,defs
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/default.mk

ifeq (linux,$(DEB_HOST_ARCH_OS))
    EXTRA_CONFIGURE_ARGS += --enable-wayland
else
    EXTRA_CONFIGURE_ARGS += --disable-wayland
endif

%:
	dh $@ --with gir

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk-doc --enable-introspection=yes --enable-x11 $(EXTRA_CONFIGURE_ARGS)

execute_after_dh_auto_install:
	find debian -name '*.la' -delete

override_dh_installchangelogs:
	DEB_BUILD_OPTIONS=notrimdch dh_installchangelogs

## libxfce4windowing 4.20.5

=== debian/changelog ===
libxfce4windowing (4.20.5-1) unstable; urgency=medium

  * New upstream version 4.20.5

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 30 Dec 2025 11:33:58 +0100
